PHP-инклюдинг в MySpeach

Дата публикации:
10.04.2007
Всего просмотров:
1022
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-2095
CVE-2007-1895
CVE-2007-1896
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MySpeach 3.x
Уязвимые версии: MySpeach 3.0.7, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре файла куки "my_ms[root]" в сценарии chat.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опции "register_globals" и "allow_url_include" должны быть включены в конфигурационном файле PHP и на системе должен быть установлен PHP 5.

URL производителя: www.myspeach.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA